package cn.ibizlab.r7.runtime.client.base.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.r7.runtime.core.client.model.IUserRoleRes;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[UserRoleRes] 对象
 */
public class UserRoleResImpl implements IUserRoleRes,Serializable{

    /**
     * 建立人
     */
    public String createMan;

    @JsonIgnore
    public boolean createManDirtyFlag;
    
    /**
     * 更新人
     */
    public String updateMan;

    @JsonIgnore
    public boolean updateManDirtyFlag;
    
    /**
     * 是否启用
     */
    public Integer enable;

    @JsonIgnore
    public boolean enableDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp createDate;

    @JsonIgnore
    public boolean createDateDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp updateDate;

    @JsonIgnore
    public boolean updateDateDirtyFlag;
    
    /**
     * 用户角色资源能力标识
     */
    public String userRoleResId;

    @JsonIgnore
    public boolean userRoleResIdDirtyFlag;
    
    /**
     * 用户角色资源能力名称
     */
    public String userRoleResName;

    @JsonIgnore
    public boolean userRoleResNameDirtyFlag;
    
    /**
     * 角色名称
     */
    public String userRoleName;

    @JsonIgnore
    public boolean userRoleNameDirtyFlag;
    
    /**
     * 资源名称
     */
    public String uniResName;

    @JsonIgnore
    public boolean uniResNameDirtyFlag;
    
    /**
     * 用户角色标识
     */
    public String userRoleId;

    @JsonIgnore
    public boolean userRoleIdDirtyFlag;
    
    /**
     * 统一资源标识
     */
    public String uniResId;

    @JsonIgnore
    public boolean uniResIdDirtyFlag;
    
    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

     /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }   

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

     /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }   

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

     /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }   

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

     /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }   

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

     /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }   

    /**
     * 获取 [用户角色资源能力标识]
     */
    @JsonProperty("userroleresid")
    public String getUserRoleResId(){
        return this.userRoleResId ;
    }

    /**
     * 设置 [用户角色资源能力标识]
     */
    @JsonProperty("userroleresid")
    public void setUserRoleResId(String  userRoleResId){
        this.userRoleResId = userRoleResId ;
        this.userRoleResIdDirtyFlag = true ;
    }

     /**
     * 获取 [用户角色资源能力标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleResIdDirtyFlag(){
        return this.userRoleResIdDirtyFlag ;
    }   

    /**
     * 获取 [用户角色资源能力名称]
     */
    @JsonProperty("userroleresname")
    public String getUserRoleResName(){
        return this.userRoleResName ;
    }

    /**
     * 设置 [用户角色资源能力名称]
     */
    @JsonProperty("userroleresname")
    public void setUserRoleResName(String  userRoleResName){
        this.userRoleResName = userRoleResName ;
        this.userRoleResNameDirtyFlag = true ;
    }

     /**
     * 获取 [用户角色资源能力名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleResNameDirtyFlag(){
        return this.userRoleResNameDirtyFlag ;
    }   

    /**
     * 获取 [角色名称]
     */
    @JsonProperty("userrolename")
    public String getUserRoleName(){
        return this.userRoleName ;
    }

    /**
     * 设置 [角色名称]
     */
    @JsonProperty("userrolename")
    public void setUserRoleName(String  userRoleName){
        this.userRoleName = userRoleName ;
        this.userRoleNameDirtyFlag = true ;
    }

     /**
     * 获取 [角色名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleNameDirtyFlag(){
        return this.userRoleNameDirtyFlag ;
    }   

    /**
     * 获取 [资源名称]
     */
    @JsonProperty("uniresname")
    public String getUniResName(){
        return this.uniResName ;
    }

    /**
     * 设置 [资源名称]
     */
    @JsonProperty("uniresname")
    public void setUniResName(String  uniResName){
        this.uniResName = uniResName ;
        this.uniResNameDirtyFlag = true ;
    }

     /**
     * 获取 [资源名称]脏标记
     */
    @JsonIgnore
    public boolean getUniResNameDirtyFlag(){
        return this.uniResNameDirtyFlag ;
    }   

    /**
     * 获取 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public String getUserRoleId(){
        return this.userRoleId ;
    }

    /**
     * 设置 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public void setUserRoleId(String  userRoleId){
        this.userRoleId = userRoleId ;
        this.userRoleIdDirtyFlag = true ;
    }

     /**
     * 获取 [用户角色标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleIdDirtyFlag(){
        return this.userRoleIdDirtyFlag ;
    }   

    /**
     * 获取 [统一资源标识]
     */
    @JsonProperty("uniresid")
    public String getUniResId(){
        return this.uniResId ;
    }

    /**
     * 设置 [统一资源标识]
     */
    @JsonProperty("uniresid")
    public void setUniResId(String  uniResId){
        this.uniResId = uniResId ;
        this.uniResIdDirtyFlag = true ;
    }

     /**
     * 获取 [统一资源标识]脏标记
     */
    @JsonIgnore
    public boolean getUniResIdDirtyFlag(){
        return this.uniResIdDirtyFlag ;
    }   

}
